## Class Swift_Events_TransportExceptionEvent

(line 20)

## Description

    Swift_Events_EventObject
       |
       --Swift_Events_TransportExceptionEvent

Located in File: /vendors/swiftMailer/classes/Swift/Events/TransportExceptionEvent.php

##### Generated when a TransportException is thrown from the Transport system.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Events_TransportExceptionEvent __construct (Swift_Transport $transport, Swift_TransportException $ex)
Swift_TransportException getException ()

#### Constructor __construct (line 34)

#### Swift_Events_TransportExceptionEvent __construct( Swift_Transport $transport, Swift_TransportException $ex)

Overrides : Swift_Events_EventObject::__construct() Create a new EventObject originating at $source.

##### Create a new TransportExceptionEvent for $transport.

#### Parameters

- Swift_Transport $transport:
- Swift_TransportException $ex:

#### Info

- access - public

#### Method getException (line 45)

#### Swift_TransportException getException( )

##### Get the TransportException thrown.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Events_EventObject

#### Swift_Events_EventObject::__construct() - Create a new EventObject originating at $source.

#### Swift_Events_EventObject::bubbleCancelled() - Returns true if this Event will not bubble any further up the stack.

#### Swift_Events_EventObject::cancelBubble() - Prevent this Event from bubbling any further up the stack.

#### Swift_Events_EventObject::getSource() - Get the source object of this event.

Documentation generated on Fri, 12 Nov 2010 20:45:31 +0000 by phpDocumentor 1.4.3